package com.alwara.uml.clazz.controller.command;

import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.commands.Command;

import com.alwara.uml.clazz.model.ClazzModel;

/**
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class ChangeConstraintCommand extends Command {

   private Rectangle newConstraint_;
   private Rectangle oldConstraint_;
   private ClazzModel model_;

   /**
    * @param model
    */
   public void setModel(Object model) {
      model_ = (ClazzModel) model;
      oldConstraint_ = model_.getConstraint();
   }

   /**
    * @param constraint
    */
   public void setConstraint(Rectangle constraint) {
      this.newConstraint_ = constraint;
   }
   
   /**
    * {@inheritDoc}
    */
   public void execute() {
      model_.setConstraint(newConstraint_);
   }

   /**
    * {@inheritDoc}
    */
   public void undo() {
      model_.setConstraint(oldConstraint_);
   }
}
