/*
 * Created on Jan 2, 2005
 */
package com.alwara.uml.clazz.controller.command;

import org.eclipse.gef.commands.Command;

import com.alwara.uml.clazz.model.ClazzDiagramModel;
import com.alwara.uml.clazz.model.ClazzModel;

/**
 *  Create a new Object
 */
public class ClazzAddCommand extends Command {

   private ClazzDiagramModel clazzDiagramModel_;
   private ClazzModel clazzModel_;

   /**
    * @param diagramModel
    */
   public void setClazzDiagramModel(ClazzDiagramModel diagramModel) {
      this.clazzDiagramModel_ = diagramModel;
   }

   /**
    * @param clazzModel
    */
   public void setClazzModel(ClazzModel clazzModel) {
      this.clazzModel_ = clazzModel;
   }

   public void execute() {
      clazzModel_.setDiagramModel(clazzDiagramModel_);
      clazzDiagramModel_.addClazz(clazzModel_);
   }
   
   public void undo() {
      clazzDiagramModel_.removeClazz(clazzModel_);
   }   
}
