package com.alwara.uml.clazz.controller.editpolicy;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import com.alwara.uml.clazz.controller.command.ClazzDeleteCommand;

/**
 * Editing clazzes
 */
public class ClazzEditPolicy extends ComponentEditPolicy {

   /**
    * {@inheritDoc}
    */
   protected Command createDeleteCommand(GroupRequest deleteRequest) {
      ClazzDeleteCommand command = new ClazzDeleteCommand();
      command.setContentsModel(getHost().getParent().getModel());
      command.setClazzModel(getHost().getModel());
      return command;   
   }
}
