/*
 * Created on Jan 3, 2005
 */
package com.alwara.uml.clazz.model;

import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.jdt.core.ICompilationUnit;

/**
 * @author Virender Singh Dogra
 */
public class ClazzModelFactory implements CreationFactory {

   private ICompilationUnit clazz_;

   /**
    * {@inheritDoc}
    */
   public Object getNewObject() {
      ClazzModel clazzModel = new ClazzModel(clazz_);
      return clazzModel;
   }

   /**
    * {@inheritDoc}
    */
   public Object getObjectType() {
      return ClazzModel.class;
   }

   /**
    * @param clazz
    */
   public void setClazz(ICompilationUnit clazz){
      clazz_ = clazz;
   }
}
