package com.alwara.uml.controller.command;

import org.eclipse.draw2d.geometry.Point;
import org.eclipse.gef.commands.Command;

import com.alwara.uml.model.AbstractConnectionModel;

public class CreateBendpointCommand extends Command {
   private AbstractConnectionModel connection;

   private Point location;

   private int index;

   public void execute() {
      connection.addBendpoint(index, location);
   }

   public void setConnection(Object model) {
      connection = (AbstractConnectionModel) model;
   }

   public void setIndex(int i) {
      index = i;
   }

   public void setLocation(Point point) {
      location = point;
   }

   public void undo() {
      connection.removeBendpoint(index);
   }
}