package com.alwara.uml.controller.command;

import org.eclipse.gef.commands.Command;

import com.alwara.uml.model.AbstractConnectionModel;

public class DeleteConnectionCommand extends Command {
   private AbstractConnectionModel connection_;
		
   public void execute() {
      connection_.detachSource();
      connection_.detachTarget();
   }
   
   public void setConnectionModel(Object connection) {
      connection_ = (AbstractConnectionModel) connection;
   }
   
   public void undo(){
      connection_.attachSource();
      connection_.attachTarget();
   }
}
