/*
 * Created on Jan 15, 2005
 */
package com.alwara.uml.sequence.controller;

import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.EditPolicy;
import org.eclipse.gef.GraphicalEditPart;

import com.alwara.uml.controller.EditPartWithListener;
import com.alwara.uml.sequence.controller.editpolicy.InstanceEditPolicy;
import com.alwara.uml.sequence.model.InstanceModel;
import com.alwara.uml.sequence.view.InstanceFigure;

/**
 * @author Virender Singh Dogra
 */
public class InstanceEditPart extends EditPartWithListener {

   protected IFigure createFigure() {
      return new InstanceFigure(getInstance());
   }

   private InstanceModel getInstance() {
      return (InstanceModel) getModel();
   }

   protected void createEditPolicies() {
      installEditPolicy(EditPolicy.COMPONENT_ROLE, new InstanceEditPolicy());
   }
   
   protected void refreshVisuals() {
      Rectangle constraint = getInstance().getConstraint();
      ((GraphicalEditPart)getParent()).setLayoutConstraint(this, getFigure(), constraint);
   }

}
