/*
 * Created on Jan 2, 2005
 */
package com.alwara.uml.sequence.controller.command;

import org.eclipse.gef.commands.Command;

import com.alwara.uml.sequence.model.InstanceModel;
import com.alwara.uml.sequence.model.SequenceDiagramModel;

/**
 *  Create a new Object
 */
public class InstanceAddCommand extends Command {

   private SequenceDiagramModel sequenceDiagramModel_;
   private InstanceModel instanceModel_;

   /**
    * @param diagramModel
    */
   public void setSequenceDiagramModel(SequenceDiagramModel diagramModel) {
      this.sequenceDiagramModel_ = diagramModel;
   }

   public void setInstanceModel(InstanceModel instanceModel) {
      this.instanceModel_ = instanceModel;
   }

   public void execute() {
      instanceModel_.setDiagramModel(sequenceDiagramModel_);
      sequenceDiagramModel_.addInstance(instanceModel_);
   }
   
   public void undo() {
      sequenceDiagramModel_.removeInstance(instanceModel_);
   }   
}
