/*
 * Created on Jan 16, 2005
 */
package com.alwara.uml.sequence.controller.command;

import org.eclipse.gef.commands.Command;

import com.alwara.uml.sequence.model.InstanceModel;
import com.alwara.uml.sequence.model.SequenceDiagramModel;

/**
 * @author Virender Singh Dogra
 */
public class InstanceDeleteCommand extends Command {

   private InstanceModel instanceModel_;
   private SequenceDiagramModel sequenceModel_;

   public void setContentsModel(Object model) {
      sequenceModel_ = (SequenceDiagramModel) model;
   }

   public void setInstanceModel(Object model) {
      instanceModel_ = (InstanceModel) model;
   }

   public void undo() {
      sequenceModel_.addInstance(instanceModel_);
   }
   
   public void execute() {
      sequenceModel_.removeInstance(instanceModel_);
   }
}
