/*
 * Created on Jan 24, 2005
 */
package com.alwara.uml.sequence.model;

import java.util.Collection;

import org.eclipse.gef.requests.CreationFactory;

/**
 * @author Virender Singh Dogra
 */
public class InstanceModelFactory implements CreationFactory {

   private String instanceName_;
   private String type_;
   private Collection stereotype_;

   public Object getNewObject() {
      InstanceModel instanceModel = new InstanceModel(instanceName_, type_, stereotype_);
      return instanceModel;
   }

   public Object getObjectType() {
      return InstanceModel.class;
   }
   
   public void setInstanceName(String instanceName){
      instanceName_ = instanceName;
   }
   
   public void setStereotype(Collection stereotype) {
      stereotype_ = stereotype;
   }
   
   public void setType(String type) {
      type_ = type;
   }
}