/*
 * Created on Jan 16, 2005
 */
package com.alwara.uml.sequence.controller.editpolicy;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import com.alwara.uml.sequence.controller.command.InstanceDeleteCommand;

/**
 * Editing instances
 */
public class InstanceEditPolicy extends ComponentEditPolicy {
   
   protected Command createDeleteCommand(GroupRequest deleteRequest) {
      InstanceDeleteCommand command = new InstanceDeleteCommand();
      command.setContentsModel(getHost().getParent().getModel());
      command.setInstanceModel(getHost().getModel());
      return command;
   }
}
