/*
 * Created on Jan 15, 2005
 */
package com.alwara.uml.sequence.model;

import java.util.Set;

import com.alwara.uml.model.AbstractModel;

/**
 * @author Virender Singh Dogra
 */
public class MethodModel extends AbstractModel {
   /** serialVersionUID */
   private static final long serialVersionUID = 1L;
   /** name of the method */
   private String name_;
   /** parameters of the method */
   private Set params_;
   /** return instance */
   private String returnInstance_;
   /** exceptions */
   private Set exceptions_;
   
   /**
    * @param name
    * @param params
    * @param returnInstance
    * @param exceptions
    */
   public MethodModel(String name, Set params, String returnInstance, Set exceptions) {
      this.name_ = name;
      this.params_ = params;
      this.returnInstance_ = returnInstance;
      this.exceptions_ = exceptions;
   }
   
   public Set getExceptions() {
      return exceptions_;
   }
   
   public String getName() {
      return name_;
   }
   
   public Set getParams() {
      return params_;
   }
   
   public String getReturnInstance() {
      return returnInstance_;
   }
}
